Skip to main content
GET
List discrepancy reports (Beta)

Authorizations

x-api-key
string
header
required

Headers

x-topograph-workspace-id
string

Workspace whose register credentials file the report. Defaults to the default workspace.

Query Parameters

companyId
string

Filter by company ID

Example:

"München HRB 228960"

countryCode
string

Filter by country code (ISO 2-letter)

Example:

"DE"

status
enum<string>

Filter by status in_progress: accepted and being filed. succeeded: filed with the register; filing.registerReference and filing.receipt are set. failed: nothing was filed; see error, then correct and resend with a new Idempotency-Key.

Available options:
in_progress,
succeeded,
failed
after
string

Cursor for pagination (nextCursor of the previous page)

first
number

Number of items to fetch (default: 50, max: 100)

Required range: 1 <= x <= 100
Example:

25

Response

A page of reports

discrepancyReports
object[]
required

Reports, newest first

total
number
required

Total number of reports matching the filters

Example:

3

hasNextPage
boolean
required

Whether there is a next page available

Example:

false

nextCursor
string

Cursor for the next page